# Type Alias GetInputHistoryData

GetInputHistoryData: {
page?: number;
perPage?: number;
runnableId?: string;
runnableType?: RunnableType;
workspace: string;
}

#### Type declaration

- ##### `Optional` page?: number

  which page to return (start at 1, default 1)

- ##### `Optional` perPage?: number

  number of items to return for a given page (default 30, max 100)

- ##### `Optional` runnableId?: string

- ##### `Optional` runnableType?: RunnableType

- ##### workspace: string

- Defined in src/types.gen.ts:4841